<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Basic Web Video Conference Application</title>
    <script type="text/javascript" src="https://unpkg.com/@voxeet/voxeet-web-sdk@3.0.3/dist/voxeet-sdk.js"></script>
    <script type="text/javascript" src="scripts/ui.js"></script>
</head>

<body>
    <div id="app">
        <h1 style='display: none' id="name-message">You are logged out.</h1>
        <h2>This is test of dolby video conference</h2>
        
        <!-- Join or Leave a Conference -->
        <div id="form">
            <label>Conference alias :</label>
            <input id="alias-input" value="Avengers meeting" />
            <button id="join-btn" disabled>Join</button>
            <button id="leave-btn" disabled>Leave</button>
            <label id="label-dolby-voice"></label>
        </div>
        
        <!-- Actions on Video and Screen Share -->
        <div id="actions">
            <button id="start-video-btn" disabled>Start video</button>
            <button id="stop-video-btn" disabled>Stop video</button>
            <button id="start-audio-btn" disabled>Start audio</button>
            <button id="stop-audio-btn" disabled>Stop audio</button>
            <button id="start-screenshare-btn" disabled>Start screen share</button>
            <button id="stop-screenshare-btn" disabled>Stop screen share</button>
        </div>

        <!-- Recording Actions and Status -->
        <div id="recording">
            <button id="start-recording-btn" disabled>Start recording</button>
            <button id="stop-recording-btn" disabled>Stop recording</button>
            <p id="record-status" style="color: red;"></p>
        </div>

        <!-- Display the list of participants -->
        <div id="participants">
            <h3>Participants</h3>
            <ul id="participants-list"></ul>
        </div>

        <!-- Container for the video streams -->
        <div id="video-container"></div>

        <!-- Container for the Screen Share -->
        <div id="screenshare-container"></div>
    </div>
    <script type="text/javascript" src="scripts/client.js"></script>
</body>
</html>